Bug 1447102 - fedpkg build fail during import phase
Summary: fedpkg build fail during import phase
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: backend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-01 17:56 UTC by David Ward
Modified: 2017-05-17 09:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 09:40:56 UTC


Attachments (Terms of Use)
Copr import log (2.07 KB, text/plain)
2017-05-01 17:56 UTC, David Ward
no flags Details

Description David Ward 2017-05-01 17:56:36 UTC
Created attachment 1275459 [details]
Copr import log

I am attempting to use copr-cli to build the golang package from the package sources for Fedora 26, for a Fedora 25 target (the only target set up in the project). This is the command I used:

copr-cli buildfedpkg --clone-url https://src.fedoraproject.org/git/rpms/golang.git --branch f26 dpward/docker


However, Copr is not even able to import the package, and it appears to be because deprecated syntax for the fedpkg command is being used by Copr:


Running: Popen(['docker', 'run', '--name', u'545484-f25-d41d8cd98f00b204e9800998ecf8427e', '-v', '/tmp/tmpyWBJc0:/tmp/tmpyWBJc0', '-w', '/tmp/tmpyWBJc0', 'd3ae68a380ed', 'fedpkg', '--config', '/tmp/tmpyWBJc0/fedpkg.conf', '--dist', u'f26', 'srpm'])
Exception raised during srpm import:
Traceback (most recent call last):
  File "/usr/share/copr/dist_git/dist_git_importer.py", line 586, in do_import
    provider.get_srpm()
  File "/usr/share/copr/dist_git/dist_git_importer.py", line 185, in get_srpm
    self.provider.get_srpm()
  File "/usr/share/copr/dist_git/dist_git_importer.py", line 442, in get_srpm
    output, error = VM.run(cmd, dst_dir=self.tmp_dest, name=self.task.task_id, cwd=self.tmp_dest)
  File "/usr/share/copr/dist_git/dist_git_importer.py", line 754, in run
    raise SrpmBuilderException(error)
SrpmBuilderException: /usr/lib/python2.7/site-packages/pyrpkg/cli.py:37: DeprecationWarning: --dist is deprecated and will be removed in future version. Use --release instead.
  'Use --release instead.', DeprecationWarning)
Could not execute srpm: Server returned status code 302


(This output looks somewhat similar to that in bug 1412658, but I cannot tell if there is any relationship between the two.)

Comment 1 David Ward 2017-05-01 20:01:08 UTC
It turns out that the deprecated flag is simply a warning and does not cause the exception to be raised. The main issue I am having is actually in bug 1412658.

This bug is now simply tracking a syntax change when calling fedpkg (change '--dist' to '--release').

Comment 2 clime 2017-05-02 05:55:58 UTC
(In reply to David Ward from comment #1)
> It turns out that the deprecated flag is simply a warning and does not cause
> the exception to be raised. The main issue I am having is actually in bug
> 1412658.
> 
> This bug is now simply tracking a syntax change when calling fedpkg (change
> '--dist' to '--release').

Hello, the issue was actually in an outdated fedpkg.conf template. It is now fixed in https://pagure.io/copr/copr/c/18caf4f0badfeb6f98c20880b56679423189c432?branch=master.

Also I changed `--dist` to `--release`. I will try to get this into production this week and let you know in this BZ. Thank you for the report!

Comment 3 clime 2017-05-17 09:40:56 UTC
New COPR version has been released.


Note You need to log in before you can comment on or make changes to this bug.